﻿namespace Tenma.HomeMatic.Remoting
{
    /// <summary>
    /// Definiert ein BidCoS-Interface.
    /// </summary>
    public interface IBidcosInterface
    {
        /// <summary>
        /// Liefert die Seriennummer des Interfaces.
        /// </summary>
        string Address { get; }

        /// <summary>
        /// Liefert die Beschreibung des Interfaces.
        /// </summary>
        string Description { get; }

        /// <summary>
        /// Ermittelt, ob das Interface verbunden ist.
        /// </summary>
        bool IsConnected { get; }

        /// <summary>
        /// Ermittelt, ob das Interface das Standardinterface ist.
        /// </summary>
        bool IsDefault { get; }
    }
}
