﻿namespace Tenma.HomeMatic.Remoting
{
    /// <summary>
    /// Definiert eine Servicemeldung.
    /// </summary>
    public interface IServiceMessage
    {
        /// <summary>
        /// Liefert die Seriennummer der Quelle.
        /// </summary>
        string Address { get; }

        /// <summary>
        /// Liefert die Id der Seriennummer.
        /// </summary>
        string Id { get; }

        /// <summary>
        /// Liefert den Wert der Servicemeldung.
        /// </summary>
        object Value { get; }
    }
}
