﻿namespace Tenma.HomeMatic.Remoting.XmlRpc.Net
{
    using System;
    using System.Collections.Generic;
    using System.Text;

    using CookComputing.XmlRpc;

    public class BidcosInterface : IBidcosInterface
    {
        private string address;
        private string description;
        private bool isConnected;
        private bool isDefault;

        public BidcosInterface()
        {
            this.address = string.Empty;
            this.description = string.Empty;
            this.isConnected = false;
            this.isDefault = false;
        }

        [XmlRpcMember("ADDRESS")]
        public string Address
        {
            get
            {
                return this.address;
            }

            set
            {
                this.address = value;
            }
        }

        [XmlRpcMember("DESCRIPTION")]
        public string Description
        {
            get
            {
                return this.description;
            }

            set
            {
                this.description = value;
            }
        }

        [XmlRpcMember("CONNECTED")]
        public bool IsConnected
        {
            get
            {
                return this.isConnected;
            }

            set
            {
                this.isConnected = value;
            }
        }

        [XmlRpcMember("DEFAULT")]
        public bool IsDefault
        {
            get
            {
                return this.isDefault;
            }

            set
            {
                this.isDefault = value;
            }
        }
    }
}
