﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Tenma.HomeMatic.Remoting.SampleClient.Samples
{
    public partial class GetValueControl : UserControl
    {
        private IRpcProxy proxy;

        public GetValueControl()
            : this(null)
        {
        }

        public GetValueControl(IRpcProxy proxy)
        {
            this.InitializeComponent();
            this.proxy = proxy;
        }

        private void getValeuButton_Click(object sender, EventArgs e)
        {
            try
            {
                string address = this.addressTextBox.Text;
                string valueId = this.valueIdTextBox.Text;
                object value = this.proxy.GetValue(address, valueId);

                this.resultTextBox.Text = value.ToString();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString(), "Fehler");
            }
        }

        public override string ToString()
        {
            return "GetValue";
        }
    }
}
