﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tenma.HomeMatic.Remoting
{
    public interface IRpcServiceHandler
    {
        void Event(string interfaceId, string address, string valueKey, object value);

        IDeviceDescription[] ListDevices(string interfaceId);

        void NewDevices(string interfaceId, IDeviceDescription[] devices);

        void DeleteDevices(string interfaceId, string[] devices);

        void UpdateDevice(string interfaceId, string address, int hint);
    }
}
