﻿namespace Tenma.HomeMatic.Remoting
{
    using System.Collections.Generic;

    /// <summary>
    /// Antwort eines ausgeführen HomeMatic Scripts.
    /// </summary>
    public interface IScriptResponse : IDictionary<string, string>
    {
        /// <summary>
        /// Liefert den kompletten Text der Antwort.
        /// </summary>
        string ResponseText { get; }

        /// <summary>
        /// Liefert die Standard-Ausgabe der Antwort.
        /// </summary>
        string Stdout { get; }
    }
}
