﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tenma.HomeMatic.Remoting
{
    public class RpcServiceHandler: IRpcServiceHandler
    {
        public virtual void Event(string interfaceId, string address, string valueKey, object value)
        {
        }

        public virtual IDeviceDescription[] ListDevices(string interfaceId)
        {
            return new IDeviceDescription[] { };
        }

        public virtual void NewDevices(string interfaceId, IDeviceDescription[] devices)
        {
        }

        public virtual void DeleteDevices(string interfaceId, string[] devices)
        {
        }

        public virtual void UpdateDevice(string interfaceId, string address, int hint)
        {
        }

    }
}
